Bug 619805 - Wallaby should prevent must_change params from having default values
Summary: Wallaby should prevent must_change params from having default values
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby   
(Show other bugs)
Version: Development
Hardware: All
OS: Linux
low
medium
Target Milestone: 1.3
: ---
Assignee: Will Benton
QA Contact: Lubos Trilety
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-30 15:14 UTC by Robert Rati
Modified: 2010-10-20 11:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Rati 2010-07-30 15:14:03 UTC
Description of problem:
Wallaby should prevent must_change parameters from being given default values.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Will Benton 2010-08-03 06:58:09 UTC
This is fixed in 0.9.0.

Comment 2 Lubos Trilety 2010-08-16 15:03:04 UTC
Tested with (version):
wallaby-0.9.2-1
condor-wallaby-tools-3.3-1

Scenario:
Use command tool (condor_configure_store)
1. Add parameter 'NPAR' to the store
2. set must change to true and default to some value in editor
3. verify that 'NPAR' is created and default value is not accepted, there is empty value in store

Use command tool or wallaby API
1. Add parameter 'NPAR' to the store fill some default value
2. Edit must change to true
3. check that all attempt to change default value are not accepted


Tested on:
RHEL5 i386,x86_64  - passed

>>> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.